# Create UI App CLI

A CLI tool to quickly create React projects with popular UI libraries.

## Installation

```bash
npm install -g create-ui-app-cli
```

## Usage

```bash
create-ui-app my-app [preset]
```

Available presets:
- `chakraflow` - Chakra UI
- `shadeflow` - Tailwind CSS + ShadCN
- `muitopia` - Material UI
- `antverse` - Ant Design
- `bootflow` - Bootstrap
- `primeland` - PrimeReact

Example:
```bash
create-ui-app my-app chakraflow
```

Or use the interactive mode:
```bash
create-ui-app my-app
```

## Features

- 🚀 Quick start with Vite + React
- 📦 Pre-configured UI libraries
- 🎨 Stunning starter templates
- ⚡ Zero configuration needed

## Documentation Links

- [Chakra UI](https://chakra-ui.com/docs)
- [Tailwind CSS](https://tailwindcss.com/docs)
- [ShadCN](https://ui.shadcn.com/)
- [Material UI](https://mui.com/material-ui/)
- [Ant Design](https://ant.design/docs/react/introduce)
- [Bootstrap](https://getbootstrap.com/docs/)
- [PrimeReact](https://primereact.org/)
